staqlydocs
REST APIAPI referenceAlerts

List alert channels

List alert channels (alerts:manage)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/alerts

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Response Body

OK

application/json
  1. response
data*array<>
curl -X GET 'https://staqly.example.com/v1/alerts'
{  "data": [    {      "id": "string",      "name": "string",      "type": "telegram",      "enabled": true,      "config": {},      "events": [        "string"      ],      "collection_ids": [        "string"      ],      "digest_window_seconds": 0,      "fail_count": 0,      "last_error": "string",      "disabled_reason": "string",      "last_sent_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}